package de.thdeg.grademanager.model;

import de.thdeg.grademanager.model.enumeration.BachelorDegree;
import de.thdeg.grademanager.model.enumeration.BachelorSemester;

import java.util.ArrayList;
import java.util.List;

public class CoursesOfStudy {
    private final int id;
    private final String name;
    private final BachelorDegree bachelorDegree;
    private BachelorSemester duration;
    private final int fees;
    private List<Course> courses = new ArrayList<>();

    public CoursesOfStudy(int id, String name, BachelorDegree bachelorDegree, BachelorSemester duration, int fees, String fieldOfStudy) {
        this.id = id;
        this.name = name;
        this.bachelorDegree = bachelorDegree;
        this.duration = duration;
        this.fees = fees;
        this.fieldOfStudy = fieldOfStudy;

    }


    public String getName() {
        return name;
    }

    public BachelorDegree getBachelorDegree() {
        return bachelorDegree;
    }

    public BachelorSemester getDuration() {
        return duration;
    }

    public int getFees() {
        return fees;
    }

    public String getFieldOfStudy() {
        return fieldOfStudy;
    }

    private String fieldOfStudy;


    public List<Course> getCourses() {
        return this.courses;
    }

    public boolean addCourse(Course c) {
        return this.courses.add(c);
    }

    @Override
    public String toString() {
        return name + " [" + fieldOfStudy + "]";
    }
}
